Core - Bug # 46977

Status: Resolved Priority: Should have
Author: Felix Kopp Category: Extension Manager
Created: 2013-04-06 Assigned To:

Updated: 2013-04-06 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject: EM: sorting in dataTable incorrect

Description

The dataTable sortes version string incorrectly:

1.12.1
1.1.1

Intended:

1,2,8,...,9,10, 11, ..., 99, 100, 101, ...

Related issues:
related to Core - Bug # 43176: Sorting is broken/weird

Closed

2012-11-20

Associated revisions

Revision 2d242¢95 - 2013-04-06 19:35 - Wouter Wolters

[BUGFIX] EM: sorting in dataTable incorrect

The dataTable sortes version string incorrectly:

1.121
1.1.1

Intended:
1,2,3,.,910,11,.,99, 100, 101, ...

Also disable sorting on column "Actions"
Fixes: #46977
Releases: 6.1, 6.0

Change-Id: le6211edee52bf712f4463a57d800f0c1e705f1da
Reviewed-on: https://review.typo3.org/19674

Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 458c00f2 - 2013-04-06 19:38 - Wouter Wolters
[BUGFIX] EM: sorting in dataTable incorrect

The dataTable sortes version string incorrectly:

1.121
1.1.1

Intended:
1,2,3,.,9,10,11,.,99, 100, 101, ...

Also disable sorting on column "Actions"
Fixes: #46977
Releases: 6.1, 6.0

Change-Id: 1e6211edee52bf712f4463a57d800f0c1e705f1da
Reviewed-on: https://review.typo3.org/19674

Reviewed-by: Philipp Gampe

Tested-by: Philipp Gampe

Reviewed-by: Christian Kuhn

Tested-by: Christian Kuhn

Reviewed-on: https:/review.typo3.0rg/19690

History

#1 - 2013-04-06 13:27 - Felix Kopp
- Category set to Extension Manager

#2 - 2013-04-06 14:52 - Felix Kopp
- Status changed from New to Accepted

#3 - 2013-04-06 15:25 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/19674

#4 - 2013-04-06 17:09 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19674

#5 - 2013-04-06 19:13 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19674

#6 - 2013-04-06 19:37 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
#7 - 2013-04-06 20:30 - Wouter Wolters
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:458c00f27f92626febf69c998e557f2b32121223.
